/**
 * 清单编辑器页面权限管理和session校验
 * Created by Zhong on 2017/8/2.
 */
import baseController from "../../common/base/base_controller";

class viewsPermContr extends baseController{
    redirectStdBillsMain(req, res){
        res.render("maintain/bills_lib/html/main.html",
            {userAccount: req.session.managerData.username,
                userID: req.session.managerData.userID});
    }
    redirectStdBills(req, res){
        res.render("maintain/bills_lib/html/qingdan.html",
            {userAccount: req.session.managerData.username});
    }
    redirectStdJobs(req, res){
        res.render('maintain/bills_lib/html/neirong.html',
            {userAccount: req.session.managerData.username});
    }
    redirectStdItems(req, res){
        res.render('maintain/bills_lib/html/tezheng.html',
            {userAccount: req.session.managerData.username});
    }
}

export default viewsPermContr;
